program CJK;
{$APPTYPE CONSOLE}
uses
{$IFNDEF VER230}
  Windows, SysUtils, Classes, Graphics, Math, 
{$ELSE}
  WinAPI.Windows, System.SysUtils, System.Classes, Vcl.Graphics, System.Math, 
{$ENDIF}
  llPDFDocument, llPDFTypes, llPDFCanvas;

var
  MyPDF: TPDFDocument;
  MF:TMetafile;
begin
    MyPDF := TPDFDocument.Create(nil);
    try
      MyPDF.FileName := '..\Data\PDFFiles\CJK.pdf';
      MyPDF.DocumentInfo.Title := 'llPDFLib 5.x Demo [CJK]';
      MyPDF.AutoLaunch := True;
      MyPDF.Compression := ctFlate;
      MyPDF.BeginDoc;
      MF:=TMetafile.Create;
      try
        MF.LoadFromFile('..\Data\Images\CJK.emf');
        MyPDF.CurrentPage.PlayMetaFile(MF);
      finally
        MF.Free;
      end;
      MyPDF.EndDoc;
    finally
      MyPDF.Free;
    end;
end.

