program PDFA;
{$APPTYPE CONSOLE}
uses
{$IFNDEF VER230}
  Windows, SysUtils, Classes, Graphics, Math, 
{$ELSE}
  WinAPI.Windows, System.SysUtils, System.Classes, Vcl.Graphics, System.Math, 
{$ENDIF}
  llPDFDocument, llPDFTypes, llPDFCanvas;

var
  MyPDF: TPDFDocument;
  MF: TMetafile;
begin
  MyPDF := TPDFDocument.Create(nil);
  try
    MyPDF.AutoLaunch := True;
    MyPDF.Compression := ctNone;
    MyPDF.PDFACompatible := True;
    MyPDF.FileName := '..\Data\PDFFiles\PDFA.pdf';
    MyPDF.DocumentInfo.Title := 'llPDFLib 5.x Demo [PDF/A]';
    MyPDF.BeginDoc;
    with MyPDF.CurrentPage do
    begin
      MF := TMetafile.Create;
      try
        MF.LoadFromFile('..\Data\Images\metafile.emf');
        PlayMetaFile(MF,0,0,0.9,0.9);
      finally
        MF.Free;
      end;
    end;
    MyPDF.EndDoc;
  finally
    MyPDF.Free;
  end;
end.

