program ThumbNail;
{$APPTYPE CONSOLE}
uses
{$IFNDEF VER230}
  Windows, SysUtils, Classes, Graphics, Math, 
{$ELSE}
  WinAPI.Windows, System.SysUtils, System.Classes, Vcl.Graphics, System.Math, 
{$ENDIF}
  llPDFDocument, llPDFImage, llPDFTypes, llPDFCanvas;

var
  MyPDF: TPDFDocument;
  I, J: Integer;
begin
    MyPDF := TPDFDocument.Create(nil);
    try
      MyPDF.AutoLaunch := True;
      MyPDF.Compression := ctFlate;
      MyPDF.FileName := '..\Data\PDFFiles\ThumbNail.pdf';
      MyPDF.DocumentInfo.Title := 'llPDFLib 5.x Demo [Thumbnail]';
      MyPDF.OnePass := True;
      MyPDF.PageMode:=pmUseThumbs;
      MyPDF.BeginDoc;
      J:=MyPDF.Images.AddImage('..\Data\Images\logo.jpg',itcJpeg);
      for I := 1 to 100 do
      begin
        if I <> 1 then MyPDF.NewPage;
        MyPDF.CurrentPage.Thumbnail := J;
      end;
      MyPDF.EndDoc;
    finally
      MyPDF.Free;
    end;
end.

